Fetch User Balance
Displays user information regarding active redemptions, notifications, badges, balance, etc.
Headers
- Type: stringx
-pch -digest requiredThe signature for the API call
- Type: stringContent
- Type requiredSet this header to application/json.
- Type: stringcache
-control - Type: stringAuthorizationrequired
You may pass the access_token instead of the authentication_token in Online Ordering endpoints to authorize the request. It must be supplied as
Bearer ACCESS_TOKEN_GOES_HERE. - Type: stringUser
- Agent requiredFor details, see User Agent.
- Type: stringAcceptrequired
Advertises which content types the client is able to understand
Body
application/json
- Type: stringclientrequired
Client key of the business
- Type: stringauthentication
_token The authentication token of the user. You can retrieve this from the response of a successful sign-in API call or through the SSO process.
Responses
- application/json
Request Example for get/api/auth/users/balance
curl https://SERVER_NAME_GOES_HERE.punchh.com/api/auth/users/balance \
--header 'x-pch-digest: SIGNATURE_GOES_HERE' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer ACCESS_TOKEN_GOES_HERE' \
--header 'User-Agent: Punchh/OnlineOrder/1.0/Web/BrowserVersion/OS_Type' \
--header 'Accept: application/json' \
--data '{
"client": "CLIENT_GOES_HERE",
"authentication_token": "AUTHENTICATION_TOKEN_GOES_HERE"
}'
{
"converted_category_balances": [],
"active_redemptions": [],
"challenge_badges": [],
"coupons": [],
"messages": [],
"notifications": [],
"rewards": [],
"punch_cards": [],
"preferred_charities": [],
"account_balance": {
"banked_currency": 0,
"banked_currency_expiring_on": null,
"checkins_on_current_card": 0,
"current_membership_level_id": null,
"current_membership_level_expiring_on": null,
"expiring_banked_currency": null,
"pending_points": null,
"redeemed_cards": null,
"total_loyalty_visits": null,
"unbanked_points": 0,
"unredeemed_cards": null,
"current_membership_level_name": null,
"lifetime_points": 0,
"redeemable_points": 0,
"membership_qualification_points": 500
}
}